@echo off

REM Initial environment configuration

set _PB_INSTALL_ROOT=C:\PROGRA~1\MI0D56~1\6.00
set USING_PB_WORKSPACE_ENVIRONMENT=1
set _WINCEROOT=C:\WINCE600
set _FLATRELEASEDIR=C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign\RelDir\AM35x_BSP_ARMV4I_Debug
set LOCALE=0409
set _PROJECTROOT=C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign\Wince600\AM35x_BSP_ARMV4I

REM Workspace and configuration variables

set PBWORKSPACE=C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign\AM35x_OSDesign.pbxml
set PBWORKSPACEROOT=C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign
set PBCONFIG=AM35x_BSP_ARMV4I Debug

REM Call wince.bat

call C:\WINCE600\public\COMMON\OAK\MISC\wince.bat ARMV4I AM35x_OSDesign AM35x_BSP

REM Make sure all build options are turned off

set IMGNODEBUGGER=
set IMGNOKITL=
set IMGEBOOT=
set IMGFLASH=
set IMGPROFILER=
set IMGCELOGENABLE=
set IMGAUTOFLUSH=
set IMGOSCAPTURE=
set BUILDREL_USE_COPY=
set WINCESHIP=
set IMGRAM64=
set IMGHDSTUB=

REM Anchored features

set SYSGEN_SHELL=1
set SYSGEN_CEDDK=1
set SYSGEN_PM=1
set SYSGEN_STANDARDSHELL=1
set SYSGEN_FATFS=1
set SYSGEN_EXFAT=1
set SYSGEN_STOREMGR_CPL=1
set SYSGEN_TOUCH=1
set SYSGEN_MSIM=1
set SYSGEN_ETHERNET=1
set SYSGEN_NETUTILS=1
set SYSGEN_AYGSHELL=1
set SYSGEN_FSRAMROM=1
set SYSGEN_CACHEFILT=1
set SYSGEN_FSREGRAM=1
set SYSGEN_WCETK=1
set SYSGEN_CMD=1
set SYSGEN_CONSOLE=1
set SYSGEN_USB_STORAGE=1
set SYSGEN_USB=1
set SYSGEN_AS_BASE=1
set SYSGEN_USBFN=1
set SYSGEN_USB_HID=1
set SYSGEN_USB_HID_CLIENTS=1
set SYSGEN_CONNMC=1
set SYSGEN_CTLPNL=1
set SYSGEN_COMMDLG=1
set SYSGEN_DDRAW=1
set SYSGEN_TELNETD=1
set SYSGEN_FTPD=1
set SYSGEN_CURSOR=1
set SYSGEN_GDI_ALPHABLEND=1
set SYSGEN_KBD_US=1
set BSP_KEYBD_NOP=1
set SYSGEN_PVR_OPENGLES1=1
set PVR_OPENGLES1=1
set SYSGEN_PVR_OPENGLES2=1
set PVR_OPENGLES2=1
set SYSGEN_PVR_OPENVG=1
set PVR_OPENVG=1
set SYSGEN_MSMQ=1
set SYSGEN_MSMQ_AX=1
set SYSGEN_MSMQ_SRMP=1
set SYSGEN_IMAGING_BMP_DECODE=1
set SYSGEN_IMAGING_GIF_DECODE=1
set SYSGEN_IMAGING_ICO_DECODE=1
set SYSGEN_IMAGING_JPG_DECODE=1
set SYSGEN_IMAGING_PNG_DECODE=1
set SYSGEN_IMAGING_TIFF_DECODE=1
set SYSGEN_IMAGING_BMP_ENCODE=1
set SYSGEN_IMAGING_GIF_ENCODE=1
set SYSGEN_IMAGING_JPG_ENCODE=1
set SYSGEN_IMAGING_PNG_ENCODE=1
set SYSGEN_IMAGING_TIFF_ENCODE=1
set SYSGEN_AUDIO_ACM=1
set SYSGEN_AUDIO=1
set SYSGEN_DSHOW_IMAADPCM=1
set SYSGEN_DSHOW_MP3=1
set SYSGEN_DSHOW_MPEGA=1
set SYSGEN_DSHOW_MSADPCM=1
set SYSGEN_DSHOW_WAV=1
set SYSGEN_DSHOW_WAVEOUT=1
set SYSGEN_DSHOW_WMA=1
set SYSGEN_DSHOW_WMA_VOICE=1
set SYSGEN_DSHOW_AVI=1
set SYSGEN_DSHOW_MPEGSPLITTER=1
set SYSGEN_STREAMAV=1
set SYSGEN_CEPLAYER=1
set SYSGEN_DSHOW_WMP=1
set SYSGEN_MEDIAAPPS_WMPOCX=1
set SYSGEN_DSHOW_WMT=1
set SYSGEN_LOCALAUDIO=1
set SYSGEN_STREAMAUDIO=1
set SYSGEN_USBFN_ETHERNET=1
set SYSGEN_USBFN_STORAGE=1
set SYSGEN_USBFN_SERIAL=1
set SYSGEN_FREECELL=1
set SYSGEN_PVR_BC_EXAMPLE=1
set SYSGEN_PVR_SERVICES_TEST=1
set SYSGEN_PVR_OPENVG_TEST=1
set SYSGEN_PVR_OPENGLES2_TEST=1
set SYSGEN_PVR_OPENGLES1_TEST=1

REM BSP features

set BSP_OMAP_DSS=1
set BSP_OMAP_SDMA=1
set BSP_OMAP_GPIO=1
set BSP_TSC2004_TOUCH=1
set BSP_OMAP_GPIO=1
set BSP_OMAP_UART1=1
set BSP_OMAP_GPIO=1
set BSP_OMAP_SDMA=1
set BSP_OMAP_NAND=1
set BSP_OMAP_MCSPI1=1
set BSP_OMAP_SDMA=1
set BSP_OMAP_SDMA=1
set BSP_OMAP_USB_HOST1=1
set BSP_OMAP_GPIO=1
set SYSGEN_USB=1
set BSP_RTC_WAKES_CPU=1
set BSP_OMAP_WATCHDOG=1
set BSP_OMAP_CAN=1
set BSP_OMAP_GPIO=1
set BSP_OMAP_MCBSP1=1
set BSP_OMAP_SDMA=1
set BSP_OMAP_USBFN=1
set BSP_OMAP_USBH=1
set BSP_OMAP_USBOTG=1
set SYSGEN_USB=1
set SYSGEN_OEM_FPCRT=1
set BSP_TCA6416_GPIO3=1
set SYSGEN_POWERVR=1
set PVR_SERVICES4=1

REM Misc settings

set WINCEDEBUG=debug
set PATH=%PATH%;C:\WINDOWS\system32;C:\WINDOWS;C:\Program Files\Microsoft Platform Builder\6.00\cepb\IdeVS

REM Configuration environment variables


REM Build options

set IMGEBOOT=1
set IMGNODEBUGGER=
set ri_suppress_info=all
set BUILD_MULTIPROCESSOR=1

REM Project settings

set _USER_SYSGEN_BAT_FILES=C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign\DrvTest\ProjSysgen.bat C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign\BQDrv\ProjSysgen.bat C:\WINCE600\OSDesigns\AM35x_OSDesign\AM35x_OSDesign\Wince600\AM35x_BSP_ARMV4I\OAK\MISC\AM35x_OSDesign.bat

REM Locale options

set IMGNOLOC=0
set IMGSTRICTLOC=0
